<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="32dp"
    android:paddingHorizontal="12dp">

    <ImageView
        android:id="@+id/iv_start"
        android:layout_width="8dp"
        android:layout_height="8dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/tv_content"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_content"
        style="@style/TextCaption2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:ellipsize="end"
        android:lines="1"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/iv_end"
        app:layout_constraintStart_toEndOf="@id/iv_start"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_goneMarginStart="0dp"
        tools:text="长的标签名称长的标签名称长的标签名称长的标签名称长的标签名称长的标签名称" />

    <ImageView
        android:id="@+id/iv_end"
        android:layout_width="8dp"
        android:layout_height="8dp"
        android:layout_marginStart="4dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/tv_content"
        app:layout_constraintTop_toTopOf="parent"
        app:tint="@color/text_theme" />
</androidx.constraintlayout.widget.ConstraintLayout>